No Rails found in SDK

on intellij 8.0.1 build #9164, ruby plugin 2.0.214083, I can't get it to recognise rails projects that worked on intellij 7.0.4.
Under module settings, facet "rails", it tells me Rails Version: [No Rails found in SDK]
On the command line, which rails gives me
/opt/local/bin/rails
I would be grateful for any help on this matter

3 comments
Comment actions Permalink

Probably 2 ruby SDKs are installed on your computer. I suggest
1. Remove old Ruby SDK in IDEA JDK settings
2. Press 'Apply' button
2. Create new Ruby SDK for /opt/bin/ruby interpreter
3. Press 'Apply' button
4. Set new sdk as SDK for your ruby module
5. Press "Apply" button

0
Comment actions Permalink

> Probably 2 ruby SDKs are installed on your computer.
Yes. So you do telepathy at jetbrains, too? :)
I think the SDKs I had installed were somehow missing the gems root. This may have been related to a prior upgrade of rubygems. Everything's working ok now. Thanks!

0
Comment actions Permalink

> Yes. So you do telepathy at jetbrains, too?
Yes, of course

0

Please sign in to leave a comment.